using UnityEngine.EventSystems;

namespace ChillConnect
{
    public static class EventKit
    {
        public static void Set2DRaycasterEnabled(Physics2DRaycaster com, bool enabled)
        {
            if (com.enabled != enabled)
            {
                com.enabled = enabled;
            }
        }

        public static void Set3DRaycasterEnabled(PhysicsRaycaster com, bool enabled)
        {
            if (com.enabled != enabled)
            {
                com.enabled = enabled;
            }
        }
    }
}